Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class XPathBooleanExpressionFactoryImpl

    java.lang.Object
      com.servingxml.util.xml.XPathBooleanExpressionFactoryImpl

All Implemented Interfaces:
  XPathBooleanExpressionFactory

    public class XPathBooleanExpressionFactoryImpl

extends java.lang.Object
implements XPathBooleanExpressionFactory

Constructor Summary
`XPathBooleanExpressionFactoryImpl(QnameContext context, java.lang.String expression, java.lang.String current, java.lang.String xsltVersion, java.lang.String baseUri, javax.xml.transform.TransformerFactory transformerFactory)`
`XPathBooleanExpressionFactoryImpl(QnameContext context, java.lang.String expression, java.lang.String xsltVersion, java.lang.String baseUri, javax.xml.transform.TransformerFactory transformerFactory)`

Method Summary
`XPathBooleanExpression` | `createXPathBooleanExpression()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathBooleanExpressionFactoryImpl

    public XPathBooleanExpressionFactoryImpl(QnameContext context,
                                             java.lang.String expression,
                                             java.lang.String xsltVersion,
                                             java.lang.String baseUri,
                                             javax.xml.transform.TransformerFactory transformerFactory)

### XPathBooleanExpressionFactoryImpl

    public XPathBooleanExpressionFactoryImpl(QnameContext context,
                                             java.lang.String expression,
                                             java.lang.String current,
                                             java.lang.String xsltVersion,
                                             java.lang.String baseUri,
                                             javax.xml.transform.TransformerFactory transformerFactory)

Method Detail

### createXPathBooleanExpression

    public XPathBooleanExpression createXPathBooleanExpression()

  Specified by:
    `createXPathBooleanExpression` in interface `XPathBooleanExpressionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD